Subject: bug in my understanding (was Re: bug in tcp?)

From: Sebastian Kuzminsky <[email-masked]>
Date: Mon, 23 Apr 2007 12:45:34 -0600

Sebastian Kuzminsky <[email-masked]> wrote:
> Philip Craig <[email-masked]> wrote:
> > Change the timeout or use keepalives.  I can't think of any other way.
> > The 5 days is a compromise between keeping valid connections and
> > timing out dead connections.  There will always be connections for
> > which it times out too fast or too slow.  I don't think there are
> > any drawbacks to increasing the timeout if you aren't a router,
> > but as long as there is a timeout, you need keepalives to be sure.
> 
> Thanks!  I'll add keepalives and rerun the tests, and I expect the
> problem to go away.

I reran the tests with keepalive enabled and it worked just fine.
Thanks for all your help, and sorry for the false alarm!

-- 
Sebastian Kuzminsky